PUT
/
v1
/
projects
/
{project}
/
boxes
/
{name}
cURL
curl --request PUT \
  --url https://api.example.com/v1/projects/{project}/boxes/{name} \
  --header 'Content-Type: application/json' \
  --data '
{
  "config": {
    "cpus": 123,
    "ram_mb": 123,
    "region": "<string>",
    "storage_gb": 123
  },
  "environment": {},
  "port": 1,
  "tags": {},
  "termination_grace_period_seconds": 1
}
'
{
  "created_at": "<string>",
  "id": "<string>",
  "name": "<string>",
  "project": "<string>",
  "status": "<string>",
  "updated_at": "<string>",
  "base": "<string>",
  "config": {
    "cpus": 123,
    "ram_mb": 123,
    "region": "<string>",
    "storage_gb": 123
  },
  "data_mounts": [
    {
      "name": "<string>",
      "path": "<string>",
      "read_only": true
    }
  ],
  "environment": {},
  "port": 1,
  "published_domains": [
    "<string>"
  ],
  "tags": {},
  "termination_grace_period_seconds": 1,
  "url": "<string>",
  "url_settings": {
    "auth": "<string>"
  }
}

Path Parameters

project
string
required

Project name

name
string
required

Box name

Body

application/json
config
object
environment
object
port
integer<int32> | null
Required range: x >= 0
tags
object
termination_grace_period_seconds
integer<int32> | null
Required range: x >= 0

Response

Box updated

created_at
string
required
id
string
required
name
string
required
project
string
required
status
string
required
updated_at
string
required
base
string | null
config
object
data_mounts
object[] | null
environment
object
port
integer<int32> | null
Required range: x >= 0
published_domains
string[] | null
tags
object
termination_grace_period_seconds
integer<int32> | null
Required range: x >= 0
url
string | null
url_settings
object